#mainFrame {
    position: absolute;
    top: 50px;
    left: 0;
    right: 0;
    bottom: 0;
}

.frame-wrapper {
    position: relative;
    width: 100%;
}

#mainFrame .frame-wrapper {
    height: 100%;
}


#repoTab,
#actionTab {
    position: absolute;
    width: 40px;
    top: 0;
    left: 0;
    bottom: 0;
    background-image: -webkit-linear-gradient(#283041 0%, #20232d 100%);
    background-image: -moz-linear-gradient(#283041 0%, #20232d 100%);
    background-image: -o-linear-gradient(#283041 0%, #20232d 100%);
    background-image: linear-gradient(#283041 0%, #20232d 100%);
    z-index: 10;
}

#actionTab {
    left: 40px;
    background-image: -webkit-linear-gradient(#7f92b2 0%, #2c3853 100%);
    background-image: -moz-linear-gradient(#7f92b2 0%, #2c3853 100%);
    background-image: -o-linear-gradient(#7f92b2 0%, #2c3853 100%);
    background-image: linear-gradient(#7f92b2 0%, #2c3853 100%);
    z-index: 5;
}

#repoTab .btn_iconbutton,
#actionTab .btn_iconbutton {
    width: 40px;
    height: 40px;
    font-size: 20px;
}
#actionTab .btn_iconbutton {
    color: #283041;
}
#actionTab .btn_iconbutton:hover, #actionTab .btn_iconbutton.on {
    color: #fff;
}
#actionTab .btn_iconbutton:disabled, #actionTab .btn_iconbutton.off {
    color: #606d84;
}

#repoListTab {
    position: absolute;
    width: 280px;
    top: 0;
    left: -240px;
    bottom: 0;
    background: #2f3646;
    overflow: hidden;
    z-index: 9;
}

#infoTab {
    position: absolute;
    width: 0;
    top: 0;
    left: 80px;
    bottom: 0;
    z-index: 4;
}
#infoTab .frame-wrapper {
    width: 280px;
    left: -280px;
    background: #2f3646;
}

#infoTab .frame-wrapper .info-detail {
    position: relative;
    width: 100%;
    height: 100%;
}
#infoTab .frame-wrapper .info-detail .repo {
    padding: 3px;
}
#infoTab .frame-wrapper .info-detail .selectric {
    background: #2f3646;
    border: 1px solid #47546a;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.16);
    z-index: 1;
}
#infoTab .frame-wrapper .info-detail .selectric-open .selectric {
    background: #0e1013;
    border: 1px solid transparent;
}
#infoTab .frame-wrapper .info-detail .selectric .label {
    height: 36px;
    line-height: 36px;
}
#infoTab .frame-wrapper .info-detail .selectric .button {
    height: 36px;
}
#infoTab .frame-wrapper .info-detail .selectric-items {
    z-index: 2;
}
#infoTab .frame-wrapper .info-detail .selectric-items ul,
#infoTab .frame-wrapper .info-detail .selectric-items li {
    min-height: 38px;
    line-height: 38px;
}
#infoTab .frame-wrapper .info-detail .selectric-items li {
    padding: 0 8px;
}

#infoTab .frame-wrapper .info-detail .titlebar {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    height: 46px;
    padding: 0 15px;
    color: #fff;
    font-size: 13px;
    font-weight: 400;
    background: #20232d;
    border-bottom: 1px solid #47546a;
}

#infoTab .frame-wrapper .info-detail .history-detail,
#infoTab .frame-wrapper .info-detail .editor-detail {
    position: absolute;
    top: 90px;
    left: 10px;
    right: 0;
    bottom: 0;
    overflow-y: scroll;
}

#infoTab .frame-wrapper .info-detail .history-detail .empty,
#infoTab .frame-wrapper .info-detail .editor-detail .empty {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 90px;
    display: flex;
    justify-content: center;
    color: #999;
    font-size: 13px;
    align-items: center;
    z-index: 2;
}

#infoTab .frame-wrapper .info-detail .history-detail .contents,
#infoTab .frame-wrapper .info-detail .editor-detail .contents {
    position: relative;
    color: #ccc;
    font-size: 12px;
    padding: 10px 0;
}

#infoTab .frame-wrapper .handle {
    display: none;
    position: absolute;
    top: 50%;
    right: -20px;
    width: 20px;
    height: 60px;
    background: #2f3646;
    border-radius: 0 4px 4px 0;
    -moz-border-radius: 0 4px 4px 0;
    -webkit-border-radius: 0 4px 4px 0;
    transform: translateY(-50%);
    cursor: pointer;
    z-index: 2;
}
#infoTab .frame-wrapper .handle:hover {
    color: #fff;
    background: #464f61;
}
#infoTab .frame-wrapper .handle:after {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    content: ">";
    font-size: 12px;
    color: #ccc;
}
#infoTab .frame-wrapper .handle.back:after {
    content: "<";
}


.prop-group {
    padding-bottom: 20px;
}
.prop-group .pg-title {
    color: #35baff;
    font-size: 14px;
    font-weight: 400;
    padding-bottom: 6px;
}
.prop-group .pg-formbox {
    padding: 1px 8px;
    background: rgba(255, 255, 255, 0.07);
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
}
.prop-group .pg-formbox .pg-form {
    border: 1px solid #666;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    margin: 8px 0;
}
.prop-group .pg-formbox .pg-form.hide {
    display: none;
}
.prop-group .pg-formbox .form-title {
    display: flex;
    align-items: center;
    height: 32px;
    color: #ccc;
    font-size: 12px;
    padding: 0 10px;
}
.prop-group .pg-formbox .form-elm {
    min-height: 38px;
}
.prop-group .pg-formbox .form-elm.flex {
    display: flex;
    align-items: center;
}
.prop-group .pg-formbox .form-elm .row {
    display: flex;
    width: 100%;
}
.prop-group .pg-formbox .form-elm .half {
    display: flex;
    align-items: center;
    width: 50%;
    height: 39px;
    padding: 0 10px;
}
.prop-group .pg-formbox .form-elm .half .selectric-wrapper {
    width: 100%;
}
.prop-group .pg-formbox .form-elm .half.line-tr {
    border-top: 1px solid #666;
    border-right: 1px solid #666;
}
.prop-group .pg-formbox .form-elm .half.line-t {
    border-top: 1px solid #666;
}
.prop-group .pg-formbox .form-elm .half.nopad {
    padding: 0;
}
.prop-group .pg-formbox .form-elm.updown {
    display: flex;
    align-items: center;
}
.prop-group .pg-formbox .form-elm.updown input {
    width: calc(100% - 76px);
    width: -moz-calc(100% - 76px);
    width: -webkit-calc(100% - 76px);
}
.prop-group .pg-formbox .form-elm.updown button {
    width: 38px;
    height: 38px;
    font-size: 16px;
    border-top: 1px solid #666;
    border-left: 1px solid #666;
}
.prop-group .pg-formbox .pg-form .def-fit-input {
    border: 0;
    border-radius: 0 0 3px 3px;
    -moz-border-radius: 0 0 3px 3px;
    -webkit-border-radius: 0 0 3px 3px;
}
.prop-group .pg-formbox .pg-form .selectric {
    border: 0 !important;
    height: 38px;
    border-radius: 0 0 3px 3px;
    -moz-border-radius: 0 0 3px 3px;
    -webkit-border-radius: 0 0 3px 3px;
}


#mapArea {
    position: absolute;
    top: 0;
    left: 80px;
    right: 0;
    bottom: 0;
    z-index: 1;
}


.ol-viewport .ol-scale {
    display: flex;
    bottom: 35px;
    transform: initial;
    -webkit-transform: initial;
}
.ol-viewport .ol-scale input {
    font-size: 12px;
}


.tab-titlebar {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    height: 46px;
    padding: 0 15px;
    color: #fff;
    font-size: 15px;
    font-weight: 400;
    background: #20232d;
}

.tab-searchbar .inputbox {
    display: inline-block;
    position: relative;
    width: 100%;
    height: 38px;
    border-bottom: 1px solid #47546a;
    background: #283041;
    vertical-align: middle;
}
.tab-searchbar .inputbox input {
    margin: 0;
    padding: 6px 68px 6px 15px;
    width: 100%;
    height: 100%;
    font-size: 13px;
    font-family: 'Noto Sans';
    color: #fff;
    background: transparent;
    border: 0;
}
.tab-searchbar .inputbox input::placeholder {
    color: #72829d;
    font-size: 12px;
}
.tab-searchbar .inputbox:hover {
    border-bottom: 1px solid #6899eb;
}
.tab-searchbar .inputbox .btn {
    position: absolute;
    top: 0;
    right: 5px;
}
.tab-searchbar .inputbox .btn .btn_cancelinput {
    display: none;
    position: absolute;
    top: 7px;
    left: -24px;
}

.tab-repolist {
    position: absolute;
    top: 84px;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-y: auto;
}
.tab-repolist .tr-empty {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 80%;
    font-size: 12px;
    color: #888;
    text-align: center;
}
.tab-repolist .repolistbox {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 40px;
    padding: 0 15px;
    font-size: 13px;
    color: #d8dadc;
    border-bottom: 1px solid #465469;
}
.tab-repolist .repolistbox .btn {
    display: flex;
}

#map_contextmenu {
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.8);
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    z-index: 1;
}
#map_contextmenu ul, #map_contextmenu li {
    list-style: none;
    margin: 0;
    padding: 0;
}
#map_contextmenu ul {
    padding: 6px 10px;
}
#map_contextmenu li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-width: 100px;
    height: 26px;
    color: #ccc;
    font-size: 12px;
    cursor: pointer;
}
#map_contextmenu li .menuname i {
    display: inline-block;
    width: 15px;
    text-align: center;
    margin-right: 5px;
}
#map_contextmenu li .shortcut {
    display: inline-block;
    border: 1px outset #ccc;
    border-radius: 3px;
    padding: 1px 5px;
    color: #ccc;
    font-size: 10px;
    margin-left: 20px;
}

#map_contextmenu li:hover .menuname,
#map_contextmenu li:hover .shortcut {
    color: #fff;
}

#turnMap {
    height: 250px;
    border-top: 1px solid #666;
    background: #666;
}

#layer_control {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 2;
    opacity: 0;
}

#layer_control .lc-layerbar {
    display: flex;
    align-items: center;
    padding: 4px;
    background: #2f3646;
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    box-shadow: 3px 3px 6px 0 rgba(0, 0, 0, 0.5);
}
#layer_control .lc-layerbar .btn_iconbutton {
    margin: 0 4px;
    width: 40px;
    height: 40px;
    font-size: 20px;
}

#editor_control {
    position: absolute;
    top: 10px;
    left: calc(50% - 180px);
    left: -moz-calc(50% - 180px);
    left: -webkit-calc(50% - 180px);
    z-index: 3;
    opacity: 0;
}

#editor_control .ec-toolbar {
    display: flex;
    align-items: center;
    padding: 4px;
    background: #2f3646;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    box-shadow: 3px 3px 6px 0 rgba(0, 0, 0, 0.5);
}
#editor_control .ec-toolbar .ec-overlay {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    align-items: center;
    justify-content: center;
    color: #1ee85c;
    font-size: 18px;
    font-weight: bold;
    background: rgba(0, 0, 0, 0.6);
    border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    z-index: 1;
}
#editor_control .ec-toolbar .ec-vbar {
    margin: 0 4px;
    padding: 0;
    width: 1px;
    height: 36px;
    background: #666;
}
#editor_control .ec-toolbar .btn_iconbutton {
    margin: 0 4px;
    width: 40px;
    height: 40px;
    font-size: 20px;
}
#editor_control .ec-toolbar .btn_dragmove {
    background: transparent url(/images/icon_popup_move.svg) center no-repeat;
    background-size: 18px;
}
#editor_control .ec-toolbar .btn_dragmove:hover {
    background-image: url(/images/icon_popup_move_hover.svg);
}
#editor_control .ec-toolbar .btn_dpoint {
    background: transparent url(/images/icon_point.svg) center no-repeat;
    background-size: 20px;
}
#editor_control .ec-toolbar .btn_dpoint:hover, #editor_control .ec-toolbar .btn_dpoint.on {
    background-image: url(/images/icon_point_hover.svg);
}
#editor_control .ec-toolbar .btn_dpoint:disabled, #editor_control .ec-toolbar .btn_dpoint.off {
    background-image: url(/images/icon_point_disabled.svg);
}
#editor_control .ec-toolbar .btn_dpoint.active {
    background-color: #47546a;
    background-image: url(/images/icon_point_hover.svg);
}
#editor_control .ec-toolbar .btn_dline {
    background: transparent url(/images/icon_polyline.svg) center no-repeat;
    background-size: 20px;
}
#editor_control .ec-toolbar .btn_dline:hover, #editor_control .ec-toolbar .btn_dline.on {
    background-image: url(/images/icon_polyline_hover.svg);
}
#editor_control .ec-toolbar .btn_dline:disabled, #editor_control .ec-toolbar .btn_dline.off {
    background-image: url(/images/icon_polyline_disabled.svg);
}
#editor_control .ec-toolbar .btn_dline.active {
    background-color: #47546a;
    background-image: url(/images/icon_polyline_hover.svg);
}
#editor_control .ec-toolbar .btn_dpolygon {
    background: transparent url(/images/icon_polygon.svg) center no-repeat;
    background-size: 18px;
}
#editor_control .ec-toolbar .btn_dpolygon:hover, #editor_control .ec-toolbar .btn_dpolygon.on {
    background-image: url(/images/icon_polygon_hover.svg);
}
#editor_control .ec-toolbar .btn_dpolygon:disabled, #editor_control .ec-toolbar .btn_dpolygon.off {
    background-image: url(/images/icon_polygon_disabled.svg);
}
#editor_control .ec-toolbar .btn_dpolygon.active {
    background-color: #47546a;
    background-image: url(/images/icon_polygon_hover.svg);
}

#history_legend {
    position: absolute;
    display: flex;
    top: 8px;
    left: 10px;
    padding: 5px 6px;
    background: #2f3646;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    box-shadow: 3px 3px 6px 0 rgba(0, 0, 0, 0.5);
    z-index: 3;
}
#history_legend .hl-type {
    display: inline-flex;
    align-items: center;
    margin: 0 6px;
    font-size: 12px;
    color: #ccc;
}
#history_legend .hl-type .hl-box {
    display: inline-block;
    width: 8px;
    height: 8px;
    margin-right: 5px;
}

.hlist-box {
    position: relative;
}
.hlist-box .hb-header {
    display: flex;
}
.hlist-box .hb-header .hh-memo {
    display: inline-flex;
    align-items: center;
    width: 20px;
    padding-top: 3px;
    color: #ccc;
}
.hlist-box .hb-header .hh-name {
    display: inline-flex;
    align-items: center;
    width: 80px;
    height: 30px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.hlist-box .hb-header .hh-date {
    display: inline-flex;
    align-items: center;
    width: calc(100% - 140px);
    width: -moz-calc(100% - 140px);
    width: -webkit-calc(100% - 140px);
    height: 30px;
}
.hlist-box .hb-header .hh-arrow {
    display: inline-flex;
    align-item: center;
    width: 40px;
    height: 30px;
}
.hlist-box .hb-header .hh-arrow .btn_iconbutton {
    width: 30px;
    color: #888;
}
.hlist-box .hb-header .hh-arrow .btn_iconbutton:hover {
    color: #ccc;
}
.hlist-box .hb-header.on {
    background: #0e1013;
}
.hlist-box .hb-header.on .hh-arrow .btn_iconbutton {
    color: #fff;
}
.hlist-box .hb-body {
    display: none;
    background: rgba(0, 0, 0, 0.4);
    padding: 5px 0;
    margin-bottom: 10px;
}
.hlist-box .hb-body .hb-body-item {
    display: flex;
    color: #ccc;
    font-size: 11px;
    justify-content: center;
}
.hlist-box .hb-body .hb-body-item .hi-memo {
    display: inline-flex;
    align-items: center;
    justify-content: flex-end;
    width: 50px;
    height: 28px;
}
.hlist-box .hb-body .hb-body-item .hi-action {
    display: inline-flex;
    align-items: center;
    width: 80px;
    height: 28px;
}
.hlist-box .hb-body .hb-body-item .hi-type {
    display: inline-flex;
    align-items: center;
    width: calc(100% - 130px);
    width: -moz-calc(100% - 130px);
    width: -webkit-calc(100% - 130px);
    height: 28px;
}
.hlist-box .hb-body .hb-body-item button {
    width: 90%;
    height: 30px;
    margin: 6px 0;
    font-size: 12px;
}

.sp-container .sp-choose,
.sp-container .sp-cancel {
    width: auto;
    height: auto;
    padding: 4px 10px;
    margin: 0;
    border: 1px solid #999;
    background: #2f3646;
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    font-size: 15px !important;
    font-family: 'Roboto' !important;
    text-align: center;
    text-shadow: initial;
    line-height: initial;
    color: #999;
    cursor: pointer;
}
.sp-container .sp-cancel {
    margin-right: 5px;
}
.sp-container .sp-choose:hover,
.sp-container .sp-cancel:hover {
    color: #fff;
    text-shadow: initial;
    background: #20232d;
}

.line-style-box,
.point-style-box {
    display: flex;
    position: relative;
    align-items: center;
}
.line-style-box .ls-preview {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin: 4px 10px;
    width: 50px;
    height: 34px;
    border: 1px solid rgba(0, 0, 0, 0.4);
}
.line-style-box .ls-preview .ls-line {
    width: 90%;
}
.line-style-box .ls-preview .ls-line img {
    max-width: 25px;
}
.line-style-box .ls-preview .ls-line div {
    width: 100%;
    height: 100%;
    border: 0;
    margin: 0;
    padding: 0;
}
.point-style-box .ls-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 30px;
}
.point-style-box .ls-icon img {
    width: 22px;
}
.line-style-box .ls-name,
.point-style-box .ls-name {
    width: 190px;
    overflow: hidden;
    text-overflow: ellipsis;
}
.selectric-group .selectric-group-label {
    background-image: url(/images/dropdown-icon.png) !important;
    background-color: #4e4e4e !important;
    background-position: 95% 46% !important;
    /* border-bottom: thin #ffffff81 solid; */
    border-top: thin #ffffff81 solid;
    font-weight: 400 !important;
    background-repeat: no-repeat !important;
    background-size: 10px !important;
}
.selectric-group li.sub_li.hiden{
    display: none;
}
.selectric-group li.sub_li.show{
    padding-left: 30px !important;
    border-bottom: thin #f7e3e368 solid;
    display: flex;
}
.pro-item {
    background-color: #4b44447a;
    border-top: thin #ffffff81 solid;
}
#delete_field{
    width: 20px;
    padding: 0;
    position: absolute;
    right: 16px;
    background-color: transparent;
    border: none;
    border-radius: 2px;
}
#delete_field i{
    color: #abadb0;
}
#more_field .pg-form .form-elm .row .line-tr {
    width: 40% !important;
}
#more_field .pg-form .form-elm .row .line-t {
    width: 60% !important;
}
.txt_cb {
    /* margin-right: 10px; */
}
#more_field .pg-form .form-elm .row .line-tr .cd-tableCell .selectType { 
    left: 75px;
    position: absolute;
}
/* #r-same-time {
    display: none;
} */
[name="operating_time"]:disabled:checked + label:before {
    box-shadow: none;
    border: none;
    background: none;
    color: #a77272;
}
[name="operating_time"]:disabled:checked + label:after {
    color: #495664;
}
.prv-plg {
    border: none !important;
}
.cd-tableCell {
    display: flex;
    justify-content: space-between;
    width: 100%;
}